=== debian/changelog ===
searx (0.12.0+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #808564)

 -- Johannes Schauer <josch@debian.org>  Fri, 16 Jun 2017 12:16:41 +0200
