=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	./manage.sh styles # needed to run lessc because grunt-contrib-less is not packaged
	./manage.sh locales # run pybabel
	./manage.sh grunt_build # build the oscar theme

# do not run tests because the splinter python3 module is not packaged yet
override_dh_auto_test:
