## searx 0.14.0+dfsg1

=== debian/changelog ===
searx (0.14.0+dfsg1-2) unstable; urgency=medium

  * Add "lazy-apps = true" to uwsgi config or otherwise searx searches will
    timeout. See https://github.com/asciimoo/searx/issues/1210

 -- Johannes Schauer <josch@debian.org>  Fri, 23 Feb 2018 22:20:01 +0100

searx (0.14.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
     - settings.yaml can now contain non-ascii characters (closes: #886093)

 -- Johannes Schauer <josch@debian.org>  Tue, 20 Feb 2018 13:45:35 +0100

searx (0.13.1+dfsg1-3) unstable; urgency=medium

  * Add ionicons font to build ion.woff from source using fontforge for the
    "simple" theme (closes: #882847)

 -- Johannes Schauer <josch@debian.org>  Thu, 30 Nov 2017 00:49:13 +0100

searx (0.13.1+dfsg1-2) unstable; urgency=medium

  * Remove python3-ndg-httpsclient and python3-pyasn1 from Depends of
    python3-searx. Thanks to Alexandre Flament

 -- Johannes Schauer <josch@debian.org>  Mon, 27 Nov 2017 12:25:20 +0100

searx (0.13.1+dfsg1-1) unstable; urgency=medium

  * New upstream release. (closes: #882400)
      * also fixes exception when activating image proxy
        with python3 (closes: #877942)
  * add debian/gbp.conf
  * debian/README.source: adjust instructions for debian/gbp.conf
  * debian/control: bump Standards-Version, no changes required
  * debian/control: python3-searx is section python
  * debian/copyright: Add files from the new simple theme to Files-Excluded
  * debian/copyright: add new contributors for translations
  * debian/python3-searx.install: also install simple theme
  * debian/copyright: add copyright for four more files from the simple theme
  * run wrap-and-sort -asbt

 -- Johannes Schauer <josch@debian.org>  Fri, 24 Nov 2017 11:06:41 +0100
