=== debian/control ===
Source: searx
Section: web
Priority: optional
Maintainer: Johannes Schauer <josch@debian.org>
Build-depends:
 debhelper (>= 10),
 dh-python,
 grunt,
 node-grunt-contrib-concat,
 node-grunt-contrib-uglify,
 node-less,
 python3-all,
 python3-babel,
 python3-setuptools,
 python,
 python-fontforge,
X-Python3-Version: >= 3.2
Standards-Version: 4.1.1
Homepage: https://github.com/asciimoo/searx/
Vcs-Git: https://git.dgit.debian.org/searx
Vcs-Browser: https://browse.dgit.debian.org/searx.git/

Package: python3-searx
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 libjs-leaflet,
 node-requirejs,
 python3-certifi,
 python3-dateutil,
 python3-flask,
 python3-flask-babel,
 python3-lxml,
 python3-openssl,
 python3-pygments,
 python3-requests,
 python3-werkzeug,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Section: python
Description: Privacy-respecting metasearch engine - library package
 Searx is an internet metasearch engine which aggregates results from more than
 70 search services. Searx runs as a web service and provides a web interface
 that allows the user to do a general search (aggregating results from google,
 bing, yahoo) or search for files (piratebay, kickass, torrentz), images (bing,
 deviantart, google images, flickr), IT (github, stackoverflow, Arch Linux
 wiki), maps (OpenStreetMap, photon), music (youtube, spotify, soundcloud),
 news (bing news, google news, reddit), science (arxiv, wolframalpha) social
 media (digg, twitter) and videos (youtube, dailymotion, vimeo).
 .
 This package provides the Python library.

Package: searx
Architecture: all
Depends:
 python3-searx (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 nginx,
 uwsgi,
 uwsgi-plugin-python3,
Description: Privacy-respecting metasearch engine
 Searx is an internet metasearch engine which aggregates results from more than
 70 search services. Searx runs as a web service and provides a web interface
 that allows the user to do a general search (aggregating results from google,
 bing, yahoo) or search for files (piratebay, kickass, torrentz), images (bing,
 deviantart, google images, flickr), IT (github, stackoverflow, Arch Linux
 wiki), maps (OpenStreetMap, photon), music (youtube, spotify, soundcloud),
 news (bing news, google news, reddit), science (arxiv, wolframalpha) social
 media (digg, twitter) and videos (youtube, dailymotion, vimeo).
