=== debian/watch ===
version=4
opts=compression=xz,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,repack \
  https://github.com/asciimoo/searx/tags .*/v(\d\S+)\.tar\.gz
