## searx 0.15.0+dfsg1

=== requirements.txt ===
certifi==2017.11.5
flask==1.0.2
flask-babel==0.11.2
lxml==4.2.3
idna==2.7
pygments==2.1.3
pyopenssl==18.0.0
python-dateutil==2.7.3
pyyaml==3.13
requests[socks]==2.19.1
