=== debian/changelog ===
searx (0.15.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Use require.min.js from libjs-requirejs and not from nodejs-requirejs
    (closes: #901738)
  * Update Homepage field to https://asciimoo.github.io/searx/ (closes: #893679)
  * Fix my name in Maintainer field
  * Use secure copyright format uri
  * Remove X-Python3-Version field
  * Bump debhelper compat level to 11

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 06 Jan 2019 23:54:27 +0100
