=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: searx
 Section: web
 Priority: optional
-Maintainer: Johannes Schauer <josch@debian.org>
+Maintainer: Johannes 'josch' Schauer <josch@debian.org>
 Build-depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  grunt,
  node-grunt-contrib-concat,
@@ -14,9 +14,8 @@
  python3-setuptools,
  python,
  python-fontforge,
-X-Python3-Version: >= 3.2
 Standards-Version: 4.1.1
-Homepage: https://github.com/asciimoo/searx/
+Homepage: https://asciimoo.github.io/searx/
 Vcs-Git: https://git.dgit.debian.org/searx
 Vcs-Browser: https://browse.dgit.debian.org/searx.git/
 
@@ -26,7 +25,7 @@
  libjs-bootstrap,
  libjs-jquery,
  libjs-leaflet,
- node-requirejs,
+ libjs-requirejs,
  python3-certifi,
  python3-dateutil,
  python3-flask,
