=== debian/changelog ===
searx (0.16.0+dfsg1-2) unstable; urgency=medium

  * fix autopkgtest: dh compat 12 installed examples uncompressed (closes:
    #951212)

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 16 Feb 2020 07:52:36 +0100

searx (0.16.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
     - fixes google backend (closes: #930263)
  * debian/patches/debian-changes: refresh
  * switch packaging to gbp
  * debian/control: use python3-fontforge instead of python-fontforge (closes:
    #938460)
  * bump dh compat to 12
  * debian/control: add rules-requires-root:no
  * debian/control: bump standards-version to 4.5.0

 -- Johannes 'josch' Schauer <josch@debian.org>  Sat, 01 Feb 2020 01:16:42 +0100
