=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Johannes 'josch' Schauer <josch@debian.org>
 Build-depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  grunt,
  node-grunt-contrib-concat,
@@ -12,12 +12,12 @@
  python3-all,
  python3-babel,
  python3-setuptools,
- python,
- python-fontforge,
-Standards-Version: 4.1.1
+ python3-fontforge,
+Standards-Version: 4.5.0
 Homepage: https://asciimoo.github.io/searx/
-Vcs-Git: https://git.dgit.debian.org/searx
-Vcs-Browser: https://browse.dgit.debian.org/searx.git/
+Vcs-Git: https://salsa.debian.org/debian/searx.git
+Vcs-Browser: https://salsa.debian.org/debian/searx
+Rules-Requires-Root: no
 
 Package: python3-searx
 Architecture: all
