## searx 0.17.0+dfsg1

=== debian/changelog ===
searx (0.17.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * add debian/salsa-ci.yml
  * refresh patches
  * debian/rules: call 'make themes' instead of manage.sh
  * debian/patches/makefile: disable npm and bootstrap build and build css
  * debian/rules: add an empty searx/data/bangs.json
  * debian/control: python3-werkzeug >= 0.16.1 is needed because of
    werkzeug/middleware/proxy_fix.py
  * debian/clean: don't remove searx/static/themes/oscar/js/searx.js
  * debian/control: bump dh compat to 13
  * debian/tests/general: more debugging code
  * debian/tests/general: adjust regex
  * add patch to parse README.md with encoding

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 15 Jul 2020 23:33:23 +0200
