=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Johannes 'josch' Schauer <josch@debian.org>
 Build-depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  grunt,
  node-grunt-contrib-concat,
@@ -34,7 +34,7 @@
  python3-openssl,
  python3-pygments,
  python3-requests,
- python3-werkzeug,
+ python3-werkzeug (>= 0.16.1),
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
