## searx 0.18.0%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Johannes 'josch' Schauer <josch@debian.org>
-Build-depends:
+Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  grunt,
