## searx 0.18.0+dfsg1

=== requirements.txt ===
certifi==2020.6.20
babel==2.7.0
flask-babel==1.0.0
flask==1.1.2
idna==2.10
jinja2==2.11.1
lxml==4.6.1
pygments==2.1.3
pyopenssl==19.1.0
python-dateutil==2.8.0
pyyaml==5.3.1
requests[socks]==2.24.0
