=== debian/changelog ===
searx (0.18.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * refresh and drop patches that were applied by upstream
  * debian/control: fix typo Build-depends->Build-Depends
  * debian/python3-searx.lintian-overrides: add override for
    package-contains-documentation-outside-usr-share-doc
  * debian/python3-searx.lintian-overrides: add overrides for
    font-outside-font-dir for ion.ttf and ion.woff

 -- Johannes 'josch' Schauer <josch@debian.org>  Tue, 19 Jan 2021 14:16:36 +0100

searx (0.17.0+dfsg1-2) unstable; urgency=medium

  * add patch from upstream fixing Thread.isAlive() -> Thread.is_alive()
    (closes: #976322)

 -- Johannes 'josch' Schauer <josch@debian.org>  Mon, 28 Dec 2020 05:52:26 +0100
