## searx 1.0.0

=== debian/changelog ===
searx (1.0.0-0ubuntu2) groovy; urgency=medium

  * New upstream release.
  * Rebuild for updated flask

 -- Chris <dpkg@chris-nz.com>  Sat, 27 Nov 2021 23:35:55 +1300
