## searx 1.0.0%2Bdfsg1

=== debian/tests/control ===
Tests: general
Restrictions: allow-stderr, isolation-container, needs-root
Depends: @, curl, nginx, uwsgi, uwsgi-plugin-python3
