=== requirements.txt ===
certifi==2020.12.05
babel==2.9.0
flask-babel==2.0.0
flask==1.1.2
idna==2.10
jinja2==2.11.3
lxml==4.6.3
pygments==2.8.0
python-dateutil==2.8.1
pyyaml==5.4.1
requests[socks]==2.25.1
langdetect==1.0.8
