=== debian/changelog ===
searx (1.0.0+dfsg1-1) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * New upstream release (closes: #997817)
  * Rework patches for 1.0 release
  * debian/clean: some themes were dropped
  * debian/control: add B-D on python3-yaml
  * debian/control: add Suggests on uwsgi-plugin-python3 and nginx
  * debian/python3-searx.install: do not install removed themes
  * debian/python3-searx.links: jquery.min.js is now unversioned
  * debian/rules: run pybabel and lessc
  * debian/searx.install: install usr/bin/searx-checker

  [ James Valleroy ]
  * Add donation URL to upstream metadata

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 07 Dec 2021 22:10:22 +0100
