=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: searx
 Section: web
 Priority: optional
-Maintainer: Johannes 'josch' Schauer <josch@debian.org>
+Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -13,6 +13,7 @@
  python3-babel,
  python3-setuptools,
  python3-fontforge,
+ python3-yaml,
 Standards-Version: 4.5.0
 Homepage: https://asciimoo.github.io/searx/
 Vcs-Git: https://salsa.debian.org/debian/searx.git
@@ -38,6 +39,10 @@
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
+Suggests:
+ nginx | apache2 | httpd,
+ uwsgi,
+ uwsgi-plugin-python3
 Section: python
 Description: Privacy-respecting metasearch engine - library package
  Searx is an internet metasearch engine which aggregates results from more than
