=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,16 @@
 override_dh_auto_build:
 	python3 ./debian/ionicons/generate_less.py < ./debian/ionicons/input.json > searx/static/themes/simple/less/ion.less
 	dh_auto_build
-	./manage.sh locales # run pybabel
-	make themes
+	pybabel compile -d searx/translations
+	mkdir -p searx/static/css
+	grunt --gruntfile searx/static/themes/oscar/gruntfile.js
+	for style in logicodev logicodev-dark pointhi; do \
+		lessc -x searx/static/themes/oscar/src/less/$$style/oscar.less searx/static/css/$$style.min.css; \
+	done
+	grunt --gruntfile searx/static/themes/simple/gruntfile.js
+	for style in "" -rtl; do \
+		lessc -x searx/static/themes/simple/less/style$$style.less searx/static/css/searx$$style.min.css; \
+	done
 	python3 ./debian/ionicons/generate.py < ./debian/ionicons/input.json
 	echo '{"bang":[]}' > searx/data/bangs.json
