## searx 1.1.0+dfsg1

=== requirements.txt ===
Brotli==1.0.9
babel==2.10.3
certifi==2022.6.15
flask-babel==2.0.0
flask==2.2.1
jinja2==3.1.2
langdetect==1.0.9
lxml==4.9.1
pygments==2.12.0
python-dateutil==2.8.2
pyyaml==6.0
requests[socks]==2.28.1
setproctitle==1.3.1
