=== debian/changelog ===
searx (1.1.0+dfsg1-1) unstable; urgency=medium

  * upload to unstable with correct version

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 10 Feb 2023 09:42:16 +0100

searx (1.1.0+dfsg1-1~exp) unstable; urgency=medium

  * New upstream release
  * add apache2 autopkgtest

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 08 Feb 2023 07:23:42 +0100
