=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  node-less,
  python3-all,
  python3-babel,
+ python3-fontforge,
  python3-setuptools,
- python3-fontforge,
  python3-yaml,
 Standards-Version: 4.5.0
 Homepage: https://asciimoo.github.io/searx/
@@ -40,9 +40,10 @@
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
+ libapache2-mod-uwsgi,
  nginx | apache2 | httpd,
  uwsgi,
- uwsgi-plugin-python3
+ uwsgi-plugin-python3,
 Section: python
 Description: Privacy-respecting metasearch engine - library package
  Searx is an internet metasearch engine which aggregates results from more than
