=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 	pybabel compile -d searx/translations
 	mkdir -p searx/static/css
 	grunt --gruntfile searx/static/themes/oscar/gruntfile.js
+	# https://github.com/searx/searx/issues/3365
+	ln -s ../logicodev/variables.less searx/static/themes/oscar/src/less/pointhi/variables.less
 	for style in logicodev logicodev-dark pointhi; do \
 		lessc -x searx/static/themes/oscar/src/less/$$style/oscar.less searx/static/css/$$style.min.css; \
 	done
