=== debian/tests/control ===
Tests: nginx
Restrictions: allow-stderr, isolation-container, needs-root
Depends:
 curl,
 nginx,
 uwsgi,
 uwsgi-plugin-python3,
 @,

Tests: apache2
Restrictions: allow-stderr, isolation-container, needs-root
Depends:
 apache2,
 curl,
 libapache2-mod-uwsgi,
 uwsgi,
 uwsgi-plugin-python3,
 @,
